
QGIS Application - Bug report #13896

Incorrect encoding for Generic Action

2015-11-29 04:20 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21918

Description

Trying to make simple Generic Action with capturing output (see attachments):

echo "Привет мир" 

But in output window I see gibberish. It looks like encoding issue:

Starting echo "Привет мир"...
Done

Associated revisions

Revision 7fc88c26 - 2016-01-20 11:11 AM - Alexander Bruy

convert stdout and stderr to correct encoding (fix #13896)

Revision cb7d0fb4 - 2016-02-05 09:54 AM - Alexander Bruy

Merge pull request #2700 from alexbruy/actions-encoding

convert stdout and stderr from actions to correct encoding (fix #13896)

History

#1 - 2015-11-29 04:45 AM - Giovanni Manghi

- Category set to Actions

#2 - 2016-02-05 12:54 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"cb7d0fb4581d06b2db4745d6b8ad060eeb2ca5ab".
